### Enumeration

# Qmi DeviceOpenFlags

since: 1.0

#### Declaration

    flags Qmi.DeviceOpenFlags

#### Description [src]

Flags to specify which actions to be performed when the device is open.

Available since: 1.0

#### Members

`QMI_DEVICE_OPEN_FLAGS_NONE`

  No flags.

  - Value: `0`
  - Available since: 1.0
`QMI_DEVICE_OPEN_FLAGS_VERSION_INFO`

  Run version info check when opening. Since 1.24.4 this flag no longer prevents requests from being sent to the modem if they’re assumed not supported based on the version info of each message.

  - Value: `1`
  - Available since: 1.0
`QMI_DEVICE_OPEN_FLAGS_SYNC`

  Synchronize with endpoint once the device is open. Will release any previously allocated client ID.

  - Value: `2`
  - Available since: 1.0
`QMI_DEVICE_OPEN_FLAGS_NET_802_3`

  Set network port to “802.3” mode; mutually exclusive with `QMI_DEVICE_OPEN_FLAGS_NET_RAW_IP`.

  - Value: `4`
  - Available since: 1.0
`QMI_DEVICE_OPEN_FLAGS_NET_RAW_IP`

  Set network port to “raw IP” mode; mutally exclusive with `QMI_DEVICE_OPEN_FLAGS_NET_802_3`.

  - Value: `8`
  - Available since: 1.0
`QMI_DEVICE_OPEN_FLAGS_NET_QOS_HEADER`

  Set network port to transmit/receive QoS headers; mutually exclusive with `QMI_DEVICE_OPEN_FLAGS_NET_NO_QOS_HEADER`.

  - Value: `16`
  - Available since: 1.0
`QMI_DEVICE_OPEN_FLAGS_NET_NO_QOS_HEADER`

  Set network port to not transmit/receive QoS headers; mutually exclusive with `QMI_DEVICE_OPEN_FLAGS_NET_QOS_HEADER`.

  - Value: `32`
  - Available since: 1.0
`QMI_DEVICE_OPEN_FLAGS_PROXY`

  Try to open the port through the ‘qmi-proxy’. Since 1.8.

  - Value: `64`
  - Available since: 1.0
`QMI_DEVICE_OPEN_FLAGS_MBIM`

  Open an MBIM port with QMUX tunneling service. Since 1.16.

  - Value: `128`
  - Available since: 1.0
`QMI_DEVICE_OPEN_FLAGS_AUTO`

  Open a port either in QMI or MBIM mode, depending on device driver. Since 1.18.

  - Value: `256`
  - Available since: 1.0
`QMI_DEVICE_OPEN_FLAGS_EXPECT_INDICATIONS`

  Explicitly state that indications are wanted (implicit in QMI mode, optional when in MBIM mode).

  - Value: `512`
  - Available since: 1.0

#### Type functions

###### qmi_device_open_flags_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiDeviceOpenFlags` in `mask`.

since: 1.0